Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008433 [DCSS] Patches minor have not tried 2014-04-24 18:03 2014-12-21 09:44
Reporter chris View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008433: Buff Trog's Hand, nerf lich form
Description
From b0857d76f89094e0503bd4f6f4abfb99539672b6 Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Sat, 5 Apr 2014 03:12:26 +0200
Subject: Buff Trog's Hand MR by 10

For consistency with the randart, mutation and ego changes.
Update status line to account for correct amount of pluses added.
---
 crawl-ref/source/player.cc | 2 +-
 crawl-ref/source/status.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/crawl-ref/source/player.cc b/crawl-ref/source/player.cc
index 6e78bb3..3885b40 100644
--- a/crawl-ref/source/player.cc
+++ b/crawl-ref/source/player.cc
@@ -7174,7 +7174,7 @@ int player_res_magic(bool calc_unid, bool temp)
 
     // Trog's Hand
     if (you.duration[DUR_TROGS_HAND] && temp)
-        rm += 70;
+        rm += 80;
 
     // Enchantment effect
     if (you.duration[DUR_LOWERED_MR] && temp)
diff --git a/crawl-ref/source/status.cc b/crawl-ref/source/status.cc
index e9803a7..8cfaa87 100644
--- a/crawl-ref/source/status.cc
+++ b/crawl-ref/source/status.cc
@@ -791,7 +791,7 @@ static void _describe_regen(status_info* inf)
             inf->light_colour = _dur_colour(BLUE, dur_expiring(DUR_TROGS_HAND));
         inf->light_text   = "Regen";
         if (you.duration[DUR_TROGS_HAND])
-            inf->light_text += " MR";
+            inf->light_text += " MR++";
         else if (no_heal)
             inf->light_colour = DARKGREY;
     }
-- 
1.9.2


From 94ab46d0f888c0e701ea56970f5057e3f9233b48 Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Sat, 5 Apr 2014 03:21:56 +0200
Subject: Nerf lich form MR by 10

Not sure the 40 that are left are necessary either. One MR plus now.
---
 crawl-ref/source/player.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/crawl-ref/source/player.cc b/crawl-ref/source/player.cc
index 3885b40..5c61b66 100644
--- a/crawl-ref/source/player.cc
+++ b/crawl-ref/source/player.cc
@@ -7170,7 +7170,7 @@ int player_res_magic(bool calc_unid, bool temp)
 
     // transformations
     if (you.form == TRAN_LICH && temp)
-        rm += 50;
+        rm += 40;
 
     // Trog's Hand
     if (you.duration[DUR_TROGS_HAND] && temp)
-- 
1.9.2
Additional Information
Tags No tags attached.
Attached Files ? file icon mr-tweaks.patch [^] (2,195 bytes) 2014-04-24 18:03 [Show Content]

- Relationships

-  Notes
(0025914)
wheals (administrator)
2014-04-25 17:31

Combined the commits and pushed, thanks.

- Issue History
Date Modified Username Field Change
2014-04-24 18:03 chris New Issue
2014-04-24 18:03 chris File Added: mr-tweaks.patch
2014-04-25 17:31 wheals Note Added: 0025914
2014-04-25 17:31 wheals Status new => resolved
2014-04-25 17:31 wheals Fixed in Branch => 0.15 development branch
2014-04-25 17:31 wheals Resolution open => done
2014-04-25 17:31 wheals Assigned To => wheals
2014-12-21 09:44 chris Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker